Gentoo Archives: gentoo-alt

From: heroxbd@×××××.com
To: gentoo-alt@l.g.o
Subject: [gentoo-alt] Re: possible input to bootstrap guide
Date: Sat, 28 Jan 2012 14:12:23
Message-Id: 86pqe46jc2.fsf@gmail.com
In Reply to: [gentoo-alt] possible input to bootstrap guide by heroxbd@gmail.com
Additionally,

heroxbd@×××××.com writes:

> When I am trying to bootstrap on Ubuntu 10.04 LTS, some workarounds are > used: > > 1. wget-1.13.4-r1 begin to use autotools and depends on autoconf, which > in turn depends on texinfo, which cannot be emerged before =gcc-4.2. > > workaround: emerge -1O "<=wget-1.13.4" > > 2. >=binutils-2.21 needs host c++ to emerge (at configure-gold). On some > host, g++ is not available. We need to be able to bootstrap only from c. > > workaround: emerge -1O "<binutils-2.21"
3. when host gcc version is later than 4.2 (or 4.0? need more test), we can just directly bootstrap with 4.5 (lastest unmasked version), the only difference being the gcc deps such as mpfr gmp and mpc. -- XU Benda Research Center for Neutrino Science Tohoku University JAPAN http://www.awa.tohoku.ac.jp/~benda